#!/usr/bin/env python3
 
import cgi
import sys
from http import cookies
import os

def getBooks():
    result = []
    with open('books.txt', 'r') as file:
        # read the file into lines
        lines = file.readlines() 

        # iterate through lines, splitting each line into strings
        for line in lines:
            book = line.split(',')
            result.append(book)

    return result
                
def setBooks(books):
    with open('books.txt', 'w') as file:
        # iterate through books, combining each attribute into a line
        for book in books:
            line = book[0] + "," + book[1] + "," + book[2] + "," + book[3]
            file.write(line)

        file.close()

def getBookByISBN(books,isbn):
   for book in books:
       if (book[2]==isbn):
           return book

   return None

#
# Main Program
#
def main():
    # get the cookies and expire them
    cookie = cookies.SimpleCookie()
    cookie_string = os.environ.get('HTTP_COOKIE')
    cookie.load(cookie_string)

    userid = cookie['userid'].value
    cookie['userid']['expires']='Thu, 01 Jan 1970 00:00:00 GMT'
    cookie['userid']=None

    isbn = cookie['isbn'].value
    cookie['isbn']['expires']='Thu, 01 Jan 1970 00:00:00 GMT'
    cookie['isbn']=None

    # get book, add one to vote count, write change out to data store
    books = getBooks()
    book = getBookByISBN(books,isbn)
    book[3] = str(int(book[3]) + 1) 
    setBooks(books)

    print("Content-type: text/html")
    print(cookie.output())
    print()
    print("<!doctype html>")
    print("<head>")
    print("<title>Survey Results</title>")
    print("</head>")
    print("<html>")
    print("<body>")
    print("<h1>Survey Results</h1>")
    print() 
    print("<ul>")
    for book in books:
        print("<li>"+ book[0] + " by " + book[1] + " [ " + book[3] + " ]</li>")
    print("</ul>")
    print("</body>")
    print("</html>")
            
main()
