#!/usr/bin/env python3
 
import cgi
import sys
from http import cookies
import os

def getBooks():
    result = []
    with open('books.txt', 'r') as file:
        # read the file into lines
        lines = file.readlines() 

        # iterate through lines, splitting each line into strings
        for line in lines:
            book = line.split(',')
            result.append(book)

    return result
                
#
# Main Program
#
def main():
    # get the cookie
    cookie = cookies.SimpleCookie()
    cookie_string = os.environ.get('HTTP_COOKIE')
    cookie.load(cookie_string)
    userid = cookie['userid'].value

    # get the form submission if there was one
    form = cgi.FieldStorage() 
    isbn   = form.getvalue('isbn')

    # deal with form submit
    if (isbn is not None):
        # store isbn as a cookie
        cookie['isbn']=isbn

        # redirect to results page
        print("Content-type: text/html")
        print(cookie.output())
        print() 
        print("<!doctype html>")
        print("<html>")
        print("<head>")
        print("<meta http-equiv='Refresh' content='0; url=results.py' />")
        print("</head>")
        print("<body>")
        print("<p>Please follow <a href='results.py'>this link</a>.</p>")
        print("</body>")
        print("</html>")

    # first time on this page
    else:
        print("Content-type: text/html")
        print()
        print("<!doctype html>")
        print("<head>")
        print("<title>Vote for a book!</title>")
        print("</head>")
        print("<html>")
        print("<body>")
        print("<h1>Vote for a book!</h1>")
        print() 
        print("<form id='form' action='survey.py' method='post'>")
        
        # display list of books as radio buttons
        books = getBooks()
        for book in books:
            print("      <input type='radio' name='isbn' value='" + book[2] + "'>" + book[0] + " by " + book[1] + " [ " + book[3] + " ]</br>")
            
        print("   <input type='submit' id='submit' name='submit' value='submit'/>")
        print("</form>")
        print() 
        print("</body>")
        print("</html>")
            
main()


